# MIPS R5900 Processor : Sony bin

Assembler code

```
.text:001A5498
.text:001A5498  # =============== S U B R O U T I N E =======================================
.text:001A5498
.text:001A5498
.text:001A5498                 .globl SysTimerGet
.text:001A5498 SysTimerGet:
.text:001A5498
.text:001A5498 var_s0          =  0
.text:001A5498
.text:001A5498                 addiu   $sp, -0x10
.text:001A549C                 lui     $a0, 0x41  # 'A'
.text:001A54A0                 sd      $ra, var_s0($sp)
.text:001A54A4                 li      $a0, sysTimerVarG
.text:001A54A8                 lui     $a1, 0x1000
.text:001A54AC                 lw      $v0, (dword_416244 - 0x416238)($a0)
.text:001A54B0                 lw      $v1, 0x10000000
.text:001A54B4                 lwu     $a2, (dword_416240 - 0x416238)($a0)
.text:001A54B8                 sll     $v0, 21
.text:001A54BC                 dsll32  $v0, 0
.text:001A54C0                 li      $a1, 0x3D86
.text:001A54C4                 daddu   $v1, $a2
.text:001A54C8                 dsrl32  $v0, 0
.text:001A54CC                 daddu   $v1, $v0
.text:001A54D0                 dsll    $a0, $v1, 5
.text:001A54D4                 dsubu   $a0, $v1
.text:001A54D8                 dsll    $a0, 2
.text:001A54DC                 daddu   $a0, $v1
.text:001A54E0                 jal     __divdi3
.text:001A54E4                 dsll    $a0, 3
.text:001A54E8                 ld      $ra, var_s0($sp)
.text:001A54EC                 dsll32  $v0, 0
.text:001A54F0                 dsra32  $v0, 0
.text:001A54F4                 jr      $ra
.text:001A54F8                 addiu   $sp, 0x10
.text:001A54F8  # End of function SysTimerGet
.text:001A54F8
.text:001A54F8  # ---------------------------------------------------------------------------

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/8.4/user-guide/disassembler/disassembly-gallery/mips-r5900-processor-sony-bin.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
